html, body {
    display: flex;
    flex-direction: column;
    height: 100%;
    margin: 0;
    padding: 0;
}

fieldset {
    position: relative;
}

p {
    margin-top: 10px;
    margin-bottom: 0;
}

#errors {
    display: none;
    text-align: center;
    vertical-align: center;
    background-color: #FF4040;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
}

#info {
    display: none;
    text-align: center;
    vertical-align: center;
    position: fixed;
    top: 20px;
    width: 100%;
    z-index: 1000;
}

#infobox {
    display: inline-block;
    background-color: lightblue;
    padding: 10px 20px 10px 20px;
    border: solid black;
    border-width: 5px;
    border-radius: 10px;
}

.x {
    position: relative;
    top: 0;
    right: 0;
    text-align: right;
    cursor: pointer;
    margin: 0;
    padding: 0;
}

.xbut {
    position: absolute;
    right: 2px;
    top: 10px;
    outline: 0px solid #fff;
    margin: 0;
    padding: 0;
    padding-left: 1px;
    padding-right: 1px;
}

#top {
    margin: 4px;
    margin-top: 2px;
    margin-bottom: 0px;
}

.jslink {
    color: blue;
    text-decoration: underline;
    cursor: pointer;
}

.jslink:active {
    color: red;
}

.jslink:visited {
    color: purple;
}

#top button {
    vertical-align: center;
    border-radius: 4px;
    padding: 1px 2px;
}

#top .langimg {
    vertical-align: center;
}

#top img {
    vertical-align: bottom;
    border-radius: 4px;
}

#search {
    display: none;
    clear: both;
}

#addmark {
    display: none;
    clear: both;
}

#legend {
    display: none;
    clear: both;
}

#about {
    display: none;
    clear: both;
}

#mapcontainer {
    position: relative;
    margin-top: 2px;
    height: 100%;
    width: 100%;
}

#map {
    margin-top: 2px;
    height: 100%;
    width: 100%;
}

.nojs {
  text-align: center;
}

.bold {
    font-size: 1.10em;
    font-weight: bold;
}

.left {
    float: left;
}

.right {
    float: right;
    text-align: right;
}

.clear {
    clear: both;
}

figcaption {
    text-align: center;
}

th {
    text-align: left;
}

.fieldgroup {
    white-space: nowrap;
}

.fieldname {
    font-weight: bold;
}

.divider {
    display: inline;
    margin-right: 3px;
    border-left: 1px solid #000000;
    width: 0px;
}

.desktop {
    display: none;
}

.mobile {
    display: none;
}

.bgenabled {
    background-color: lightgreen;
    border-style: inset;
}

.highlight {
    background-color: yellow;
}
